org.apache.jmeter.protocol.smtp.sampler.protocol

## Class TrustAllSSLSocketFactory

- java.lang.Object
- - javax.net.SocketFactory
  - - javax.net.ssl.SSLSocketFactory
    - - org.apache.jmeter.protocol.smtp.sampler.protocol.TrustAllSSLSocketFactory

Deprecated.
Will be removed in next version, use `TrustAllSSLSocketFactory`

    @Deprecated
    public class TrustAllSSLSocketFactory
    extends SSLSocketFactory

This class can be used as a SocketFactory with SSL-connections. Its purpose is to ensure that all certificates - no matter from which CA - are accepted to secure the SSL-connection.

### Constructor Summary

Constructors
Constructor and Description
`TrustAllSSLSocketFactory()` Deprecated. Standard constructor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`Socket` `createSocket()` Deprecated.
`Socket` `createSocket(InetAddress inaddr, int i)` Deprecated.
`Socket` `createSocket(InetAddress inaddr, int i, InetAddress inaddr1, int j)` Deprecated.
`Socket` `createSocket(Socket socket, String s, int i, boolean flag)` Deprecated.
`Socket` `createSocket(String s, int i)` Deprecated.
`Socket` `createSocket(String s, int i, InetAddress inaddr, int j)` Deprecated.
`static SocketFactory` `getDefault()` Deprecated. Factory method
`String[]` `getDefaultCipherSuites()` Deprecated.
`String[]` `getSupportedCipherSuites()` Deprecated.

### Methods inherited from class javax.net.ssl.SSLSocketFactory

`createSocket`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TrustAllSSLSocketFactory

    public TrustAllSSLSocketFactory()

Deprecated.
Standard constructor

### Method Detail

#### getDefault

    public static SocketFactory getDefault()

Deprecated.
Factory method

Returns:
  New TrustAllSSLSocketFactory

#### createSocket

    public Socket createSocket(Socket socket,
                               String s,
                               int i,
                               boolean flag)
                        throws IOException

Deprecated.

Specified by:
  `createSocket` in class `SSLSocketFactory`
Throws:
  `IOException`

#### createSocket

    public Socket createSocket(InetAddress inaddr,
                               int i,
                               InetAddress inaddr1,
                               int j)
                        throws IOException

Deprecated.

Specified by:
  `createSocket` in class `SocketFactory`
Throws:
  `IOException`

#### createSocket

    public Socket createSocket(InetAddress inaddr,
                               int i)
                        throws IOException

Deprecated.

Specified by:
  `createSocket` in class `SocketFactory`
Throws:
  `IOException`

#### createSocket

    public Socket createSocket(String s,
                               int i,
                               InetAddress inaddr,
                               int j)
                        throws IOException

Deprecated.

Specified by:
  `createSocket` in class `SocketFactory`
Throws:
  `IOException`

#### createSocket

    public Socket createSocket(String s,
                               int i)
                        throws IOException

Deprecated.

Specified by:
  `createSocket` in class `SocketFactory`
Throws:
  `IOException`

#### createSocket

    public Socket createSocket()
                        throws IOException

Deprecated.

Overrides:
  `createSocket` in class `SocketFactory`
Throws:
  `IOException`

#### getDefaultCipherSuites

    public String[] getDefaultCipherSuites()

Deprecated.

Specified by:
  `getDefaultCipherSuites` in class `SSLSocketFactory`

#### getSupportedCipherSuites

    public String[] getSupportedCipherSuites()

Deprecated.

Specified by:
  `getSupportedCipherSuites` in class `SSLSocketFactory`